> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# उत्पाद अपडेट करें

> उत्पाद के विवरण को अपडेट करें।



## OpenAPI

````yaml patch /products/{id}
openapi: 3.1.0
info:
  title: public
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.105.11
servers:
  - url: https://test.dodopayments.com/
    description: Test Mode Server Host
  - url: https://live.dodopayments.com/
    description: Live Mode Server Host
security: []
tags:
  - name: Products
  - name: Payments
  - name: Subscriptions
  - name: Addons
  - name: Customers
  - name: Refunds
  - name: Disputes
  - name: Events
  - name: License Keys
  - name: Entitlements
  - name: Licenses
  - name: Discounts
  - name: Meters
  - name: Credit Entitlements
  - name: Credit Entitlement Balances
  - name: Outgoing Webhooks
  - name: Checkout
  - name: Webhook Events
paths:
  /products/{id}:
    patch:
      tags:
        - Products
      operationId: patch_product
      parameters:
        - name: id
          in: path
          description: Product Id
          required: true
          schema:
            type: string
          example: pdt_R8AWMPiV8RyJElcCKvAID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchProductRequest'
        required: true
      responses:
        '200':
          description: Product Updated Successfully
        '422':
          description: Invalid Request Object or Parameters
        '500':
          description: Something went wrong :(
      security:
        - API_KEY: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import DodoPayments from 'dodopayments';

            const client = new DodoPayments({
              bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
            });

            await client.products.update('pdt_R8AWMPiV8RyJElcCKvAID');
        - lang: Python
          source: |-
            import os
            from dodopayments import DodoPayments

            client = DodoPayments(
                bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"),  # This is the default and can be omitted
            )
            client.products.update(
                id="pdt_R8AWMPiV8RyJElcCKvAID",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\terr := client.Products.Update(\n\t\tcontext.TODO(),\n\t\t\"pdt_R8AWMPiV8RyJElcCKvAID\",\n\t\tdodopayments.ProductUpdateParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: |-
            package com.dodopayments.api.example;

            import com.dodopayments.api.client.DodoPaymentsClient;
            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
            import com.dodopayments.api.models.products.ProductUpdateParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

                    client.products().update("pdt_R8AWMPiV8RyJElcCKvAID");
                }
            }
        - lang: Kotlin
          source: |-
            package com.dodopayments.api.example

            import com.dodopayments.api.client.DodoPaymentsClient
            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
            import com.dodopayments.api.models.products.ProductUpdateParams

            fun main() {
                val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

                client.products().update("pdt_R8AWMPiV8RyJElcCKvAID")
            }
        - lang: Ruby
          source: |-
            require "dodopayments"

            dodo_payments = Dodopayments::Client.new(
              bearer_token: "My Bearer Token",
              environment: "test_mode" # defaults to "live_mode"
            )

            result = dodo_payments.products.update("pdt_R8AWMPiV8RyJElcCKvAID")

            puts(result)
        - lang: PHP
          source: |-
            <?php

            require_once dirname(__DIR__) . '/vendor/autoload.php';

            use Dodopayments\Client;
            use Dodopayments\Core\Exceptions\APIException;
            use Dodopayments\CreditEntitlements\CbbOverageBehavior;
            use Dodopayments\Misc\TaxCategory;
            use Dodopayments\Misc\Currency;
            use Dodopayments\Products\CbbProrationBehavior;
            use Dodopayments\Products\LocalizedPrices\PricingMode;
            use Dodopayments\Subscriptions\TimeInterval;

            $client = new Client(
              bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
              environment: 'test_mode',
            );

            try {
              $result = $client->products->update(
                'pdt_R8AWMPiV8RyJElcCKvAID',
                addons: ['string'],
                brandID: 'brand_id',
                creditEntitlements: [
                  [
                    'creditEntitlementID' => 'credit_entitlement_id',
                    'creditsAmount' => 'credits_amount',
                    'currency' => Currency::AED,
                    'expiresAfterDays' => 0,
                    'lowBalanceThresholdPercent' => 0,
                    'maxRolloverCount' => 0,
                    'overageBehavior' => CbbOverageBehavior::FORGIVE_AT_RESET,
                    'overageEnabled' => true,
                    'overageLimit' => 'overage_limit',
                    'pricePerUnit' => 'price_per_unit',
                    'prorationBehavior' => CbbProrationBehavior::PRORATE,
                    'rolloverEnabled' => true,
                    'rolloverPercentage' => 0,
                    'rolloverTimeframeCount' => 0,
                    'rolloverTimeframeInterval' => TimeInterval::DAY,
                    'trialCredits' => 'trial_credits',
                    'trialCreditsExpireAfterTrial' => true,
                  ],
                ],
                description: 'description',
                digitalProductDelivery: [
                  'externalURL' => 'external_url',
                  'files' => ['182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'],
                  'instructions' => 'instructions',
                ],
                entitlements: [['entitlementID' => 'entitlement_id']],
                imageID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                licenseKeyActivationMessage: 'license_key_activation_message',
                licenseKeyActivationsLimit: 0,
                licenseKeyDuration: ['count' => 0, 'interval' => TimeInterval::DAY],
                licenseKeyEnabled: true,
                metadata: ['foo' => 'string'],
                name: 'name',
                price: [
                  'currency' => Currency::AED,
                  'discount' => 0,
                  'price' => 0,
                  'purchasingPowerParity' => true,
                  'type' => 'one_time_price',
                  'payWhatYouWant' => true,
                  'suggestedPrice' => 0,
                  'taxInclusive' => true,
                ],
                pricingMode: PricingMode::BY_CURRENCY,
                taxCategory: TaxCategory::DIGITAL_PRODUCTS,
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: C#
          source: >-
            using DodoPayments.Client;

            using DodoPayments.Client.Models.Products;


            DodoPaymentsClient client = new();


            ProductUpdateParams parameters = new() { ID =
            "pdt_R8AWMPiV8RyJElcCKvAID" };


            await client.Products.Update(parameters);
        - lang: Rust
          source: |-
            use dodopayments::Client;

            #[tokio::main]
            async fn main() -> dodopayments::Result<()> {
                let client = Client::from_env()?;
                let id = "id";
                let result = client
                    .products()
                    .update()
                    .id(id)
                    .body(Default::default())
                    .await?;
                println!("{result:?}");
                Ok(())
            }
components:
  schemas:
    PatchProductRequest:
      type: object
      properties:
        addons:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Available Addons for subscription products
        brand_id:
          type:
            - string
            - 'null'
        credit_entitlements:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/AttachCreditEntitlementRequest'
          description: |-
            Credit entitlements to update (replaces all existing when present)
            Send empty array to remove all, omit field to leave unchanged
        description:
          type:
            - string
            - 'null'
          description: >-
            Description of the product, optional and must be at most 1000
            characters.
        digital_product_delivery:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PatchDigitalProductDeliveryRequest'
              description: |-
                Choose how you would like you digital product delivered

                deprecated: use entitlements instead
        entitlements:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/AttachProductEntitlementRequest'
          description: |-
            Entitlements to attach (replaces all existing when present)
            Send empty array to remove all, omit field to leave unchanged
        image_id:
          type:
            - string
            - 'null'
          format: uuid
          description: Product image id after its uploaded to S3
        license_key_activation_message:
          type:
            - string
            - 'null'
          description: >-
            Message sent to the customer upon license key activation.


            Only applicable if `license_key_enabled` is `true`. This message
            contains instructions for

            activating the license key.


            deprecated: use entitlements instead
          deprecated: true
          x-stainless-deprecation-message: >-
            Use the dedicated entitlements API to configure license-key
            delivery.
        license_key_activations_limit:
          type:
            - integer
            - 'null'
          format: int32
          description: >-
            Limit for the number of activations for the license key.


            Only applicable if `license_key_enabled` is `true`. Represents the
            maximum number of times

            the license key can be activated.


            deprecated: use entitlements instead
          deprecated: true
          x-stainless-deprecation-message: >-
            Use the dedicated entitlements API to configure license-key
            delivery.
        license_key_duration:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/LicenseKeyDuration'
              description: >-
                Duration of the license key if enabled.


                Only applicable if `license_key_enabled` is `true`. Represents
                the duration in days for which

                the license key is valid.


                deprecated: use entitlements instead
        license_key_enabled:
          type:
            - boolean
            - 'null'
          description: >-
            Whether the product requires a license key.


            If `true`, additional fields related to license key (duration,
            activations limit, activation message)

            become applicable.


            deprecated: use entitlements instead
          deprecated: true
          x-stainless-deprecation-message: >-
            Use the dedicated entitlements API to configure license-key
            delivery.
        metadata:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Metadata'
              description: Additional metadata for the product
        name:
          type:
            - string
            - 'null'
          description: Name of the product, optional and must be at most 100 characters.
        price:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Price'
              description: Price details of the product.
        pricing_mode:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PricingMode'
              description: >-
                Update the pricing mode. Omit to leave unchanged; set to null to
                clear

                (which archives all active localized rules for this product).
                Changing

                to a different non-null mode also archives any rules whose mode
                doesn't

                match the new mode.
        tax_category:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TaxCategory'
              description: Tax category of the product.
    AttachCreditEntitlementRequest:
      type: object
      description: Request struct for attaching a credit entitlement to a product
      required:
        - credit_entitlement_id
        - credits_amount
      properties:
        credit_entitlement_id:
          type: string
          description: ID of the credit entitlement to attach
        credits_amount:
          type: string
          description: Number of credits to grant when this product is purchased
        currency:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Currency'
              description: Currency for credit-related pricing
        expires_after_days:
          type:
            - integer
            - 'null'
          format: int32
          description: Number of days after which credits expire
        low_balance_threshold_percent:
          type:
            - integer
            - 'null'
          format: int32
          description: Balance threshold percentage for low balance notifications (0-100)
        max_rollover_count:
          type:
            - integer
            - 'null'
          format: int32
          description: Maximum number of rollover cycles allowed
        overage_behavior:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CbbOverageBehavior'
              description: Controls how overage is handled at billing cycle end.
        overage_enabled:
          type:
            - boolean
            - 'null'
          description: Whether overage usage is allowed beyond credit balance
        overage_limit:
          type:
            - string
            - 'null'
          description: Maximum amount of overage allowed
        price_per_unit:
          type:
            - string
            - 'null'
          description: Price per credit unit for purchasing additional credits
        proration_behavior:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CbbProrationBehavior'
              description: Proration behavior for credit grants during plan changes
        rollover_enabled:
          type:
            - boolean
            - 'null'
          description: Whether unused credits can roll over to the next billing period
        rollover_percentage:
          type:
            - integer
            - 'null'
          format: int32
          description: Percentage of unused credits that can roll over (0-100)
        rollover_timeframe_count:
          type:
            - integer
            - 'null'
          format: int32
          description: Number of timeframe units for rollover window
        rollover_timeframe_interval:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TimeInterval'
              description: Time interval for rollover window (day, week, month, year)
        trial_credits:
          type:
            - string
            - 'null'
          description: Credits granted during trial period
        trial_credits_expire_after_trial:
          type:
            - boolean
            - 'null'
          description: Whether trial credits expire when trial ends
    PatchDigitalProductDeliveryRequest:
      type: object
      title: Patch Digital Product Delivery Request
      properties:
        external_url:
          type:
            - string
            - 'null'
          description: External URL to digital product
        files:
          type:
            - array
            - 'null'
          items:
            type: string
            format: uuid
          description: Uploaded files ids of digital product
        instructions:
          type:
            - string
            - 'null'
          description: Instructions to download and use the digital product
    AttachProductEntitlementRequest:
      type: object
      description: |-
        Request struct for attaching an entitlement to a product.

        Mirrors the `credit_entitlements` attach shape — every "attach something
        to a product" array takes objects, not bare IDs. Uniform shape leaves
        room for per-attachment settings later without another API break.
      required:
        - entitlement_id
      properties:
        entitlement_id:
          type: string
          description: ID of the entitlement to attach to the product
    LicenseKeyDuration:
      type: object
      title: License Key Duration
      required:
        - count
        - interval
      properties:
        count:
          type: integer
          format: int32
        interval:
          $ref: '#/components/schemas/TimeInterval'
    Metadata:
      type: object
      additionalProperties:
        type: string
      propertyNames:
        type: string
    Price:
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/OneTimePrice'
              description: One-time price details.
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - one_time_price
                  x-stainless-const: true
          title: One Time Price
          description: One-time price details.
        - allOf:
            - $ref: '#/components/schemas/RecurringPrice'
              description: Recurring price details.
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - recurring_price
                  x-stainless-const: true
          title: Recurring Price
          description: Recurring price details.
        - allOf:
            - $ref: '#/components/schemas/UsageBasedPrice'
              description: Usage Based price details.
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - usage_based_price
                  x-stainless-const: true
          title: Usage Based Price
          description: Usage Based price details.
      discriminator:
        propertyName: type
    PricingMode:
      type: string
      enum:
        - by_currency
        - by_country
    TaxCategory:
      type: string
      description: >-
        Represents the different categories of taxation applicable to various
        products and services.
      enum:
        - digital_products
        - saas
        - e_book
        - edtech
    Currency:
      type: string
      enum:
        - AED
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BWP
        - BYN
        - BZD
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SZL
        - THB
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
    CbbOverageBehavior:
      type: string
      description: >-
        Controls how overage is handled at the end of a billing cycle.


        | Preset                  | Charge at billing | Credits reduce overage |
        Preserve overage at reset |

        |-------------------------|:-----------------:|:---------------------:|:-------------------------:|

        | `forgive_at_reset`      | No                | No                    |
        No                        |

        | `invoice_at_billing`    | Yes               | No                    |
        No                        |

        | `carry_deficit`         | No                | No                    |
        Yes                       |

        | `carry_deficit_auto_repay` | No             | Yes                   |
        Yes                       |
      enum:
        - forgive_at_reset
        - invoice_at_billing
        - carry_deficit
        - carry_deficit_auto_repay
    CbbProrationBehavior:
      type: string
      enum:
        - prorate
        - no_prorate
    TimeInterval:
      type: string
      enum:
        - Day
        - Week
        - Month
        - Year
    OneTimePrice:
      type: object
      title: One Time Price
      required:
        - price
        - currency
        - discount
        - purchasing_power_parity
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
          description: The currency in which the payment is made.
        discount:
          type: integer
          format: int64
          description: >-
            Discount applied to the price, represented as a percentage (0 to
            100).
        pay_what_you_want:
          type: boolean
          description: >-
            Indicates whether the customer can pay any amount they choose.

            If set to `true`, the [`price`](Self::price) field is the minimum
            amount.
        price:
          type: integer
          format: int32
          description: >-
            The payment amount, in the smallest denomination of the currency
            (e.g., cents for USD).

            For example, to charge $1.00, pass `100`.


            If [`pay_what_you_want`](Self::pay_what_you_want) is set to `true`,
            this field represents

            the **minimum** amount the customer must pay.
        purchasing_power_parity:
          type: boolean
          description: >-
            Indicates if purchasing power parity adjustments are applied to the
            price.

            Purchasing power parity feature is not available as of now.
        suggested_price:
          type:
            - integer
            - 'null'
          format: int32
          description: >-
            A suggested price for the user to pay. This value is only considered
            if

            [`pay_what_you_want`](Self::pay_what_you_want) is `true`. Otherwise,
            it is ignored.
        tax_inclusive:
          type:
            - boolean
            - 'null'
          description: Indicates if the price is tax inclusive.
    RecurringPrice:
      type: object
      title: Recurring Price
      required:
        - price
        - currency
        - discount
        - purchasing_power_parity
        - payment_frequency_count
        - payment_frequency_interval
        - subscription_period_count
        - subscription_period_interval
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
          description: The currency in which the payment is made.
        discount:
          type: integer
          format: int64
          description: >-
            Discount applied to the price, represented as a percentage (0 to
            100).
        payment_frequency_count:
          type: integer
          format: int32
          description: >-
            Number of units for the payment frequency.

            For example, a value of `1` with a `payment_frequency_interval` of
            `month` represents monthly payments.
        payment_frequency_interval:
          $ref: '#/components/schemas/TimeInterval'
          description: >-
            The time interval for the payment frequency (e.g., day, month,
            year).
        price:
          type: integer
          format: int32
          description: >-
            The payment amount. Represented in the lowest denomination of the
            currency (e.g., cents for USD).

            For example, to charge $1.00, pass `100`.
        purchasing_power_parity:
          type: boolean
          description: >-
            Indicates if purchasing power parity adjustments are applied to the
            price.

            Purchasing power parity feature is not available as of now
        subscription_period_count:
          type: integer
          format: int32
          description: >-
            Number of units for the subscription period.

            For example, a value of `12` with a `subscription_period_interval`
            of `month` represents a one-year subscription.
        subscription_period_interval:
          $ref: '#/components/schemas/TimeInterval'
          description: >-
            The time interval for the subscription period (e.g., day, month,
            year).
        tax_inclusive:
          type:
            - boolean
            - 'null'
          description: Indicates if the price is tax inclusive
        trial_period_days:
          type: integer
          format: int32
          description: >-
            Number of days for the trial period. A value of `0` indicates no
            trial period.
    UsageBasedPrice:
      type: object
      title: Usage Based Price
      required:
        - fixed_price
        - currency
        - discount
        - purchasing_power_parity
        - payment_frequency_count
        - payment_frequency_interval
        - subscription_period_count
        - subscription_period_interval
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
          description: The currency in which the payment is made.
        discount:
          type: integer
          format: int64
          description: >-
            Discount applied to the price, represented as a percentage (0 to
            100).
        fixed_price:
          type: integer
          format: int32
          description: >-
            The fixed payment amount. Represented in the lowest denomination of
            the currency (e.g., cents for USD).

            For example, to charge $1.00, pass `100`.
        meters:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/AddMeterToPrice'
        payment_frequency_count:
          type: integer
          format: int32
          description: >-
            Number of units for the payment frequency.

            For example, a value of `1` with a `payment_frequency_interval` of
            `month` represents monthly payments.
        payment_frequency_interval:
          $ref: '#/components/schemas/TimeInterval'
          description: >-
            The time interval for the payment frequency (e.g., day, month,
            year).
        purchasing_power_parity:
          type: boolean
          description: >-
            Indicates if purchasing power parity adjustments are applied to the
            price.

            Purchasing power parity feature is not available as of now
        subscription_period_count:
          type: integer
          format: int32
          description: >-
            Number of units for the subscription period.

            For example, a value of `12` with a `subscription_period_interval`
            of `month` represents a one-year subscription.
        subscription_period_interval:
          $ref: '#/components/schemas/TimeInterval'
          description: >-
            The time interval for the subscription period (e.g., day, month,
            year).
        tax_inclusive:
          type:
            - boolean
            - 'null'
          description: Indicates if the price is tax inclusive
    AddMeterToPrice:
      type: object
      title: Add Meter To Price
      required:
        - meter_id
      properties:
        credit_entitlement_id:
          type:
            - string
            - 'null'
          description: >-
            Optional credit entitlement ID to link this meter to for
            credit-based billing
        description:
          type:
            - string
            - 'null'
          description: >-
            Meter description. Will ignored on Request, but will be shown in
            response
        free_threshold:
          type:
            - integer
            - 'null'
          format: int64
        measurement_unit:
          type:
            - string
            - 'null'
          description: >-
            Meter measurement unit. Will ignored on Request, but will be shown
            in response
        meter_id:
          type: string
        meter_units_per_credit:
          type:
            - string
            - 'null'
          description: >-
            Number of meter units that equal one credit. Required when
            credit_entitlement_id is set.
        name:
          type:
            - string
            - 'null'
          description: Meter name. Will ignored on Request, but will be shown in response
        price_per_unit:
          type:
            - string
            - 'null'
          description: >-
            The price per unit in lowest denomination. Must be greater than
            zero. Supports up to 5 digits before decimal point and 12 decimal
            places.
          example: '10.50'
  securitySchemes:
    API_KEY:
      type: http
      scheme: bearer

````